/Users/bernard/b20/bsoft/include/rwGRD.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwGRD.h - Header file for reading and writing Basel GRD files.

SYNOPSIS

#include 'rwimg.h'

  Classes
struct GRDhead

  Macros
#define GRDSIZE 512

  Functions
int readGRD (Bimage *p, int readdata)
Reading a Basel GRD map image file format.
int writeGRD (Bimage *p)
Writing a Basel GRD map image file format.

Detailed Description

Header file for reading and writing Basel GRD files.

Author:
    Bernard Heymann

Date:
    Created: 19990410

    Modified: 20111217

    Format: 3D crystallographic image file format (Basel)

Definition in file rwGRD.h.

Macro Definition Documentation

  #define GRDSIZE 512

Definition at line 13 of file rwGRD.h.

Function Documentation

  int readGRD (Bimage * p, int readdata)

Reading a Basel GRD map image file format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.

Returns:
    int error code (<0 means failure). A 3D image format used in electron microscopy. Header size: 512 bytes (fixed). File format extensions: .grd The identifier is a 4-byte magic number (not used). Machine identifier: 1 = little endian, 2 = big endian. Byte order determination: Data type and third dimension values must be less than 256*256. Data types: 1 = byte, 2 = float, 3 = complex float 4 = 3-value vector, 5 = view

Definition at line 31 of file rwGRD.cpp.

  int writeGRD (Bimage * p)

Writing a Basel GRD map image file format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure). A 3D image format used in electron microscopy.

Definition at line 125 of file rwGRD.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.